Skip to main content
POST
/
api2
/
v2
/
projects
/
{projectUid}
/
jobs
/
qualityAssurances
/
segments
/
run
Run quality assurance on selected segments
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/qualityAssurances/segments/run \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "jobsAndSegments": [
    {
      "job": {
        "uid": "3HYnHHLkTPJfMxBCDbPXFe"
      },
      "segments": [
        "<string>"
      ]
    }
  ],
  "maxQaWarningsCount": 500,
  "warningTypes": []
}
'
import requests

url = "https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/qualityAssurances/segments/run"

payload = {
"jobsAndSegments": [
{
"job": { "uid": "3HYnHHLkTPJfMxBCDbPXFe" },
"segments": ["<string>"]
}
],
"maxQaWarningsCount": 500,
"warningTypes": []
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
jobsAndSegments: [{job: {uid: '3HYnHHLkTPJfMxBCDbPXFe'}, segments: ['<string>']}],
maxQaWarningsCount: 500,
warningTypes: []
})
};

fetch('https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/qualityAssurances/segments/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "finished": true,
  "segmentWarnings": [
    {
      "ignoredChecks": [],
      "segmentId": "<string>",
      "warnings": [
        {
          "id": "<string>",
          "ignored": true
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

Body

application/json
jobsAndSegments
object[]
required
Required array length: 1 - 100 elements
maxQaWarningsCount
integer<int32>

Maximum number of QA warnings in result, default: 100. For efficiency reasons QA warnings are processed with minimum segments chunk size 10, therefore slightly more warnings are returned.

Required range: 1 <= x <= 1000
warningTypes
enum<string>[]
Maximum array length: 100
Available options:
EmptyTranslation,
TrailingPunctuation,
Formatting,
JoinTags,
MissingNumbersV3,
MultipleSpacesV3,
NonConformingTerm,
NotConfirmed,
TranslationLength,
AbsoluteLength,
RelativeLength,
UnresolvedComment,
EmptyPairTags,
InconsistentTranslationTargetSource,
InconsistentTranslationSourceTarget,
ForbiddenString,
SpellCheck,
RepeatedWord,
InconsistentTagContent,
EmptyTagContent,
Malformed,
ForbiddenTerm,
NewerAtLowerLevel,
LeadingAndTrailingSpaces,
LeadingSpaces,
TrailingSpaces,
TargetSourceIdentical,
SourceOrTargetRegexp,
UnmodifiedFuzzyTranslation,
UnmodifiedFuzzyTranslationTM,
UnmodifiedFuzzyTranslationMTNT,
Moravia,
ExtraNumbersV3,
UnresolvedConversation,
NestedTags,
FuzzyInconsistencyTargetSource,
FuzzyInconsistencySourceTarget,
CustomQA,
MissingNonTranslatableAnnotation

Response

successful operation

finished
boolean
segmentWarnings
object[]